
Foreman - Bug #2461

Cannot create a host without a puppet proxy

05/06/2013 07:09 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Unattended installations   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We should support Foreman being used without a puppetmaster (this is separate to #2414 which involves removing puppet libraries

from foreman core). It should be possible to use Foreman purely for provisioning. Setting[:handle_ca] will allow us to not have a

puppet_ca proxy, but we still need a puppet proxy due to Host validations.

Related issues:

Related to Foreman - Feature #2414: Remove Puppet from Foreman core Closed 04/19/2013

Associated revisions

Revision f7640652 - 05/09/2013 04:18 AM - Greg Sutcliffe

Fixes #2461 - Allow user to not have a puppet proxy

History

#1 - 05/07/2013 04:29 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/582

#2 - 05/09/2013 05:45 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f7640652ae20ff6a20021736b253b7d7684640e2.
